Jump to content


P4V not supporting macOS 10.15


  • Please log in to reply
2 replies to this topic

#1 mark@theryghs.com

mark@theryghs.com

    Newbie

  • Members
  • Pip
  • 1 posts

Posted 17 October 2019 - 06:49 PM

Just upgraded to macOS Catalina 10.15, and no support for p4v.
Pops up as "p4.app needs to be updated"

No new download on perforce site.

Looks like 64 bit is required.
Any ideas on if it will be fixed, or good alternatives?

#2 Scott Gilliland

Scott Gilliland

    Newbie

  • Members
  • Pip
  • 3 posts

Posted 23 October 2019 - 02:02 PM

Hello Mark,

It could be that MacOS is not allowing the application to run because it does not recognize it as being from a trusted developer. Hopefully Perforce can sort this out with Apple at some point in the future, but in the meantime you may be able to get 'p4' running by opening up the MacOS settings application, choosing "Security and Privacy" and then checking under the General tab to see if p4 shows up under the "Allow apps downloaded from:" section near the bottom of the window. Note that you will want to try running 'p4' prior to doing this as it shows the last application attempted. You can then tell MacOS to allow the application to run after clicking through some dialogues stating that you trust the source, etc. After that you should be able to run the application.

Regards,
Scott

#3 Miles O'Neal

Miles O'Neal

    Advanced Member

  • Members
  • PipPipPip
  • 146 posts

Posted 23 October 2019 - 04:13 PM

No, the problem is that MacOS no longer supports 32 bit apps: https://www.macrumor...2-bit-mac-apps/ .

The last version I downloaded a few weeks ago still had a 32 bit wrapper/installer for the 64 bit version of the code. Has Perforce fixed that yet? You should file a critical ticket. (We have held off on 10.15 general deployment because of a couple of other third party software issues.)




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users